ADDDEBUG(1)

NAME
adddebug - Modifica as Makefile(s) para adicionar informações de depuração

SYNOPSIS

adddebug [-k] [-r] [-n]

DESCRIçãO

O adddebug modifica as Makefiles na pasta actual (e, opcionalmente, nas suas subpastas) para adicionar informações de depuração (-g3). Irá também remover as optimizações (-O[1-9]).

Este utilitário faz parte do Kit de Desenvolvimento de Software (SDK) do KDE.

OPçõES

-k  Mantém as optimizações (não remove as opções -O[1-9]? que são removidas por omissão).

-r  Procura recursivamente em todas as subpastas da pasta actual e actua em todas as Makefiles encontradas.

-n  compila sem o NDEBUG e o NO_DEBUG definidos (faz com que as chamadas kDebug funcionem)

AUTHOR
Ben Burton.